/*****************************************************************************
; Header: ExternalGeneratorSDK.h
; Description: Header to create an keygenerator
;
; (c) 2014 Oreans Technologies 
;****************************************************************************/

#pragma once 


/******************************************************************************
;                                 Defines
;*****************************************************************************/

#define GENERATED_KEY_TEXT          0
#define GENERATED_KEY_BINARY        1

#define EXTRA_OUTPUT_TYPE_ANSI      0
#define EXTRA_OUTPUT_TYPE_UNICODE   1


/******************************************************************************
;                                 Typedefs
;*****************************************************************************/

typedef struct sKeygenCustomerInfo
{
    char *FirstNameAnsi;
    wchar_t *FirstNameUnicode;
    char *LastNameAnsi;
    wchar_t *LastNameUnicode;
    char* JobTitle;
    char *Company;
    char *Email;
    char *Phone;
    char *Fax;
    char *Address1;
    char *Address2;
    char *City;
    char *ZipCode;
    char *State;
    char *Country;
    char *Notes;
    uint8_t IsAcceptingEmails;
    uint8_t IsRegisteredUser;
} KEYGEN_CUSTOMER_INFO;

typedef struct sKeygenProductInfo
{
    char *ProductName;
    char *Description;
    char *Version;
    char *UnitPrice;
    char *ShippingFee;
    char *ServiceFee;
    char *Notes;
    char *CustomValues;
} KEYGEN_PRODUCT_INFO;

typedef struct sKeygenOrderInfo
{
    uint32_t OrderNumber;
    char *DeliveryMethod;
    SYSTEMTIME OrderDate;
    SYSTEMTIME ExpireDate;
    uint8_t IsMarkedAsExpired;
    char *HowFound;
    char *RegistrationNameAnsi;
    wchar_t *RegistrationNameUnicode;
    char *ShippingStreet;
    char *ShippingCity;
    char *ShippingState;
    char *ShippingZip;
    char *ShippingCountry;
    char *PaymentMethod;
    char *Total;
    uint8_t IsOrderPaid;
    char *Notes;
}KEYGEN_ORDER_INFO;


